package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjNdxm;

/**
 * 难度项目Mapper接口
 * 
 * @author ruoyi
 * @date 2026-02-02
 */
public interface SjNdxmMapper 
{
    /**
     * 查询难度项目
     * 
     * @param id 难度项目主键
     * @return 难度项目
     */
    public SjNdxm selectSjNdxmById(Long id);

    /**
     * 查询难度项目列表
     * 
     * @param sjNdxm 难度项目
     * @return 难度项目集合
     */
    public List<SjNdxm> selectSjNdxmList(SjNdxm sjNdxm);

    /**
     * 新增难度项目
     * 
     * @param sjNdxm 难度项目
     * @return 结果
     */
    public int insertSjNdxm(SjNdxm sjNdxm);

    /**
     * 修改难度项目
     * 
     * @param sjNdxm 难度项目
     * @return 结果
     */
    public int updateSjNdxm(SjNdxm sjNdxm);

    /**
     * 删除难度项目
     * 
     * @param id 难度项目主键
     * @return 结果
     */
    public int deleteSjNdxmById(Long id);

    /**
     * 批量删除难度项目
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjNdxmByIds(Long[] ids);
}
